## org.eclipse.amp.escape.ascape.adapt
Class AscapeAdapterFactory

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.AscapeAdapterFactory

    public class AscapeAdapterFactory

extends java.lang.Object

A factory for creating ScapeAdapter objects.

Field Summary
`private static java.lang.Class[]` `TYPES`

Constructor Summary
`AscapeAdapterFactory()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` `getAdapterList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPES

    private static final java.lang.Class[] TYPES

Constructor Detail

### AscapeAdapterFactory

    public AscapeAdapterFactory()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Parameters:
    `adaptableObject` -
    `adapterType` -
  Returns:
  See Also:
    `org.eclipse.core.runtime.IAdapterFactory#getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Returns:
  See Also:
    `org.eclipse.core.runtime.IAdapterFactory#getAdapterList()`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors